Name:           perl-File-Remove
Version:        1.61
Release:        1%{?dist}
Summary:        Remove files and directories
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Remove/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/File-Remove-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd) >= 3.29
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec) >= 3.29
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(constant)
Requires:       perl(Cwd) >= 3.29
Requires:       perl(File::Glob)
Requires:       perl(File::Path)
Requires:       perl(File::Spec) >= 3.29
Requires:       perl(strict)
Requires:       perl(vars)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
File::Remove::remove removes files and directories. It acts like /bin/rm,
for the most part. Although unlink can be given a list of files, it will
not remove directories; this module remedies that. It also accepts
wildcards, * and ?, as arguments for filenames.

%prep
%setup -q -n File-Remove-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README scripts weaver.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jan 21 2025 Koozali 1.61-1
- Specfile autogenerated by cpanspec 1.78.
